;=================================================================================================
;=================================================================================================
;===================================    Configuracion Armas     ==================================
;===================================   Mapa creado por AROKH    ==================================
;=================================================================================================
;=================================================================================================


;========================================================================
;==========================    Glorfindel    ============================
;========================================================================

Weapon GlorfindelSword
	LeechRangeWeapon			= Yes
	AttackRange				= 13.0
	MeleeWeapon				= Yes
	DelayBetweenShots			= GLORFINDEL_SWORD_DELAYBETWEENSHOTS
	PreAttackDelay				= GLORFINDEL_SWORD_PREATTACKDELAY
	PreAttackType				= PER_SHOT
	FireFX					= FX_GondorSwordHit
	FiringDuration				= GLORFINDEL_SWORD_FIRINGDURATION
	RadiusDamageAffects			= ENEMIES NEUTRALS NOT_SIMILAR
	DamageNugget
		Damage				= 180.0
		Radius				= 10.0
		DelayTime			= 0
		DamageType			= HERO
		DamageFXType			= SWORD_SLASH
		DeathType			= Normal
	End
End

;====================================================================
;==========================    Haldir    ============================
;====================================================================

Weapon HaldirBow
	AttackRange				= 800
	RangeBonusMinHeight			= 20
	RangeBonus				= 2
	RangeBonusPerFoot			= #MULTIPLY( 80 .01 )				
	WeaponSpeed				= 350      ; dist/sec 
	MinWeaponSpeed				= 250
	MaxWeaponSpeed				= 500      ; dist/sec Upper limit on scaling, when attacking past nominal "max" range
	FireFX					= FX_RohanArcherBowWeapon
	ScaleWeaponSpeed			= Yes ; Used for lob weapons, scales speed proportional to range
	HitPercentage				= 100     ;When this weapon is used it will hit exactly 100% of the time.
	ScatterRadius				= 5.0     ;When this weapon misses it can randomly miss by as much as this distance.
	AcceptableAimDelta			= 20	; prevent twitchy reaiming in horde on horde
	DelayBetweenShots			= HALDIR_DELAYBETWEENSHOTS 	; time between shots, msec
	PreAttackDelay      			= HALDIR_PREATTACKDELAY 	; 1467 is the prep time for archer.
	PreAttackType       			= PER_POSITION ; Do the delay each time we attack a new target
	FiringDuration      			= HALDIR_FIRINGDURATION 	; Duration of the archer firing shot is 500ms.
	ClipSize				= 1
	AutoReloadsClip				= Yes
	AutoReloadWhenIdle			= 1	
	ClipReloadTime				= Min:HALDIR_RELOADTIME_MIN Max:HALDIR_RELOADTIME_MAX
	ContinuousFireOne			= 0
	ContinuousFireCoast			= HALDIR_RELOADTIME_MAX
	InstantLoadClipOnActivate 		= Yes
	AntiAirborneVehicle			= Yes
	AntiAirborneMonster			= Yes
	ProjectileNugget                    	; Default Arrow
		ProjectileTemplateName  	= GoodFactionArrow
		WarheadTemplateName     	= HaldirBowWarhead
	End
End
Weapon HaldirBowWarhead
  ProjectileCollidesWith 			= ALLIES ENEMIES NEUTRAL STRUCTURES WALLS 
  RadiusDamageAffects 				= ENEMIES NEUTRALS NOT_SIMILAR
  HitStoredTarget 				= Yes	; Always hits initial target.
  DamageNugget                        		; A basic Nugget that just does damage
    Damage        				= 220
    ;DamageScalar  				= 25000% NONE +MordorMumakil
    Radius        				= 0.0	; HitStoredTarget means we hurt the person we launched at.  And nobody else.  So a miss hurts nobody.
    DelayTime     				= 0
    DamageType    				= HERO_RANGED
    DamageFXType  				= GOOD_ARROW_PIERCE
    DeathType     				= NORMAL
  End
End
Weapon HaldirGoldenArrow
	AttackRange				= 800				
	LeechRangeWeapon			= Yes
	WeaponSpeed				= 350
	MinWeaponSpeed				= 250
	MaxWeaponSpeed				= 500
	FireFX					= FX_RohanArcherBowWeapon
	ScaleWeaponSpeed			= Yes
	HitPercentage				= 100
	ScatterRadius				= 5.0
	DelayBetweenShots			= HALDIR_DELAYBETWEENSHOTS
	PreAttackDelay				= HALDIR_PREATTACKDELAY
	PreAttackType				= PER_SHOT
	FiringDuration				= HALDIR_FIRINGDURATION
	ProjectileNugget
		ProjectileTemplateName		= HaldirGoldenArrowProjectile
		WarheadTemplateName		= HaldirGoldenArrowWarhead
	End
End
Weapon HaldirGoldenArrowWarhead
	ProjectileCollidesWith			= ENEMIES NEUTRAL
	RadiusDamageAffects			= ENEMIES NEUTRALS NOT_SIMILAR
	HitStoredTarget				= Yes
	DamageNugget
		Damage				= 200
		Radius				= 0.0
		DelayTime			= 0
		DamageType			= HERO_RANGED
		DamageFXType			= GOOD_ARROW_PIERCE
		DeathType			= NORMAL
	End
End
Weapon HaldirSword  				; BALANCE Haldir Sword Weapon
	LeechRangeWeapon      			= Yes
	AttackRange           			= 15.0
	MeleeWeapon           			= Yes
	DelayBetweenShots     			= HALDIR_SWORD_DELAYBETWEENSHOTS 	       ; time between shots, msec
	PreAttackDelay        			= HALDIR_SWORD_PREATTACKDELAY 	;PreAttackDelay+FiringDuration = UseWeaponTiming = Yes duration
	PreAttackType         			= PER_SHOT 
	FireFX                			= FX_GondorSwordHit
	FiringDuration        			= HALDIR_SWORD_FIRINGDURATION 			;PreAttackDelay+FiringDuration = UseWeaponTiming = Yes duration
	RadiusDamageAffects 			= ENEMIES NEUTRALS NOT_SIMILAR
	DamageNugget                        	; A basic Nugget that just does damage
		Damage        			= 240.0
		Radius        			= 15.0
		DelayTime     			= 0
		DamageType    			= HERO
		DamageFXType  			= SWORD_SLASH
		DeathType     			= NORMAL
	End
End

;=====================================================================
;==========================    Legolas    ============================
;=====================================================================

Weapon LegolasBow
	AttackRange			= 900
	
	RangeBonusMinHeight	= 10
	RangeBonus		= 1
	RangeBonusPerFoot	= #MULTIPLY( LEGOLAS_BOW_RANGE .01 )
					
	WeaponSpeed			= 360         ; dist/sec 
	MinWeaponSpeed		= 360
	MaxWeaponSpeed		= 520      ; dist/sec Upper limit on scaling, when attacking past nominal "max" range
	FireFX				= FX_RohanArcherBowWeapon
	ScaleWeaponSpeed	= Yes ; Used for lob weapons, scales speed proportional to range
	HitPercentage		= 100     ;When this weapon is used it will hit exactly 100% of the time.
	ScatterRadius		= 5.0     ;When this weapon misses it can randomly miss by as much as this distance.

	AcceptableAimDelta	= 20	; prevent twitchy reaiming in horde on horde
	DelayBetweenShots	= LEGOLAS_DELAYBETWEENSHOTS 	; time between shots, msec
	PreAttackDelay      = LEGOLAS_PREATTACKDELAY 		; 1467 is the prep time for archer.
	PreAttackType       = PER_POSITION ; Do the delay each time we attack a new target
	FiringDuration      = LEGOLAS_FIRINGDURATION 	; Duration of the archer firing shot is 500ms.

    ClipSize			= 1
    AutoReloadsClip		= Yes
    AutoReloadWhenIdle	= 1	
    ClipReloadTime		= Min:LEGOLAS_RELOADTIME_MIN Max:LEGOLAS_RELOADTIME_MAX
    ContinuousFireOne	= 0
    ContinuousFireCoast	= LEGOLAS_RELOADTIME_MAX

    AntiAirborneVehicle	= Yes
    AntiAirborneMonster	= Yes
    CanFireWhileMoving	= Yes
    
	ProjectileNugget                    ; Default Arrow
		ProjectileTemplateName  = GoodFactionArrow
		WarheadTemplateName     = LegolasBowWarhead
	End
End
Weapon LegolasBowWarhead
  ProjectileCollidesWith = ALLIES ENEMIES NEUTRAL STRUCTURES WALLS 
  RadiusDamageAffects = ENEMIES NEUTRALS NOT_SIMILAR
  HitStoredTarget = Yes	; Always hits initial target.
  DamageNugget                        ; A basic Nugget that just does damage
    Damage        = 350
    ;DamageScalar  = 25000% NONE +MordorMumakil
    Radius        = 0.0	; HitStoredTarget means we hurt the person we launched at.  And nobody else.  So a miss hurts nobody.
    DelayTime     = 0
    DamageType    = HERO_RANGED
    DamageFXType  = GOOD_ARROW_PIERCE
    DeathType     = NORMAL
  End
End
Weapon LegolasHawkStrike
    AttackRange = LEGOLAS_HAWKSTRIKE_RANGE
    WeaponSpeed = 360      ; dist/sec 
    MinWeaponSpeed = 260
    MaxWeaponSpeed = 520      ; dist/sec Upper limit on scaling, when attacking past nominal "max" range
    FireFX = FX_RohanArcherBowWeapon
    ScaleWeaponSpeed = Yes ; Used for lob weapons, scales speed proportional to range
    HitPercentage     = 100     ;When this weapon is used it will hit exactly 75% of the time.

	;All these delays are controlled by the special power. Basically the special power can
	;launch whenever it's ready.
    DelayBetweenShots		= 0											; time between shots, msec
    PreAttackDelay			= 3000										; we want isntant
    PreAttackType			= PER_POSITION
    FiringDuration			= 1000										; Duration of the archer firing shot is 500ms.
    ClipSize = 1
    AutoReloadsClip = Yes
    AutoReloadWhenIdle = 1	
    ClipReloadTime = Min:1 Max:1

    AntiAirborneVehicle		= Yes
    AntiAirborneMonster		= Yes
    
	PreferredTargetBone = B_LLLID ; Likes to shoot things in their left eye.

	ProjectileNugget                    ; A Nugget that creates an Object and sends it to the target with a Warhead
		ProjectileTemplateName = LegolasSpecialArrow
		WarheadTemplateName = LegolasHawkStrikeWarhead
	End
	ProjectileNugget                    ; A Nugget that creates an Object and sends it to the target with a Warhead
		ProjectileTemplateName = LegolasSpecialArrow2ndArrow
		WarheadTemplateName = LegolasHawkStrikeWarhead
	End
End
Weapon LegolasHawkStrikeWarhead
	ProjectileCollidesWith = ALLIES ENEMIES NEUTRAL STRUCTURES WALLS 
	RadiusDamageAffects = ENEMIES NEUTRALS NOT_SIMILAR
	HitStoredTarget = Yes	; Always hits initial target.
	DamageNugget                        ; A basic Nugget that just does damage
    		DamageScalar  = 10% NONE +STRUCTURE +MordorCatapult +IsengardBallista +GondorTrebuchet +GondorTrebuchetWall 
		Damage        = 620
		Radius        = 30
		DelayTime     = 0
		DamageType    = HERO
		DamageFXType  = GOOD_ARROW_PIERCE
		DeathType     = NORMAL
   		DamageScalar  = 250% NONE +MordorFellBeast +MordorWitchKingOnFellBeast +GondorGwaihir +Drogoth
    	End
End
Weapon LegolasSword  ; BALANCE Legolas Sword Weapon
	LeechRangeWeapon      = Yes
	AttackRange           = 20.0
	MeleeWeapon           = Yes
	DelayBetweenShots     = LEGOLAS_KNIFE_DELAYBETWEENSHOTS 	       ; time between shots, msec
	PreAttackDelay        = LEGOLAS_KNIFE_PREATTACKDELAY 	;PreAttackDelay+FiringDuration = UseWeaponTiming = Yes duration
	PreAttackType         = PER_SHOT 
	FireFX                = FX_GondorSwordHit
	FiringDuration        = LEGOLAS_KNIFE_FIRINGDURATION 			;PreAttackDelay+FiringDuration = UseWeaponTiming = Yes duration
	RadiusDamageAffects = ENEMIES NEUTRALS NOT_SIMILAR
	DamageNugget                        ; A basic Nugget that just does damage
		Damage        = 300
		Radius        = 10.0
		DelayTime     = 0
		DamageType    = HERO
		DamageFXType  = SWORD_SLASH
		DeathType     = NORMAL
	End
End

;====================================================================
;==========================    Elrond    ============================
;====================================================================

Weapon ElrondSword
  LeechRangeWeapon      = Yes
  AttackRange           = 15.0
  MeleeWeapon           = Yes
  DelayBetweenShots     = ELROND_DELAYBETWEENSHOTS 			
             ; time between shots, msec
  PreAttackDelay        = ELROND_PREATTACKDELAY  				; 400 is sword swing delay time before contact with target.
  PreAttackType         = PER_SHOT ; Do the delay each time we attack a new target
  FireFX                = FX_GondorSwordHit
  FiringDuration        = ELROND_FIRINGDURATION				; Duration of the sword swing

  DamageNugget                        ; A basic Nugget that just does damage
    Damage        = 400						
    Radius        = 15.0
    DelayTime     = 0
    DamageType    = HERO
    DamageFXType  = SWORD_SLASH
    DeathType     = NORMAL
  End
End

